<!DOCTYPE html>
<!--  This site was created in Webflow. http://www.webflow.com  -->
<!--  Last Published: Thu Jun 18 2020 04:39:01 GMT+0000 (Coordinated Universal Time)  -->
<html xmlns:th="http://www.thymeleaf.org" data-wf-page="5ee8e8f9bbecf70d5a38336f" data-wf-site="5ee8e8f9bbecf70d5a38336f" lang="">
<head th:replace="admin/section/header :: header(title='Register')"></head>
<body>
<style>
    .row {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        margin-right: 0;
        margin-left: 0;
    }
</style>
<div th:replace="admin/section/navbar :: navbar(title='Register')"></div>
<input type="hidden" id="pageNo" th:value="${pageNo}">
<div class="the-section">
    <div class="the-container w-container">
        <div class="the-holder-update">
            <div class="number-display-holder">
                <a aria-current="page"
                   class="the-holder-display no-left w-inline-block w--current">
                    <div class="caption-2">REGISTERS</div>
                    <div class="title-text-display" th:text="${registers.total}"></div>
                </a>
            </div>
            <div class="div-line ver"></div>
            <a href="#moreInfo" th:attr="onclick=|moreInfo('add')|" class="button-holder-edit w-inline-block view-more-info" style="background-color: #962746;">
                <div>Add Data</div>
            </a>
            &nbsp;or Upload excel file&nbsp;
            <input type="file" value="Upload Excel">
        </div>
        <div class="content-holder-1">
            <div class="the-holder-ver" th:fragment="resultsList">
                <div class="story-container" th:each="register, iter: ${registers.registers}">
                    <div class="the-columns w-row">
                        <div class="the-col-2 w-col w-col-5 w-col-small-small-stack">
                            <div class="story-name" th:text="${register.locationName}"></div>
                        </div>
                        <div class="the-col-2 w-col w-col-2 w-col-small-small-stack">
                            <div class="story-name" th:text="${register.paramA}"></div>
                        </div>
                        <div class="the-col-2 w-col w-col-2 w-col-small-small-stack">
                            <div class="story-name" th:text="${register.paramB}"></div>
                        </div>
                        <div class="the-col-2 w-col w-col-2 w-col-small-small-stack">
                            <div class="story-name" th:text="${register.value}"></div>
                        </div>
                        <div class="the-col-2 w-col w-col-2 w-col-small-small-stack">
                            <div class="story-name" th:text="${register.standardValue}"></div>
                        </div>
                        <div class="the-col-3 w-col w-col-7 w-col-small-small-stack">
                            <a href="#moreInfo" th:attr="onclick=|moreInfo('read', '${register.id}', '${register.locationName}', '${register.gpsCoordinate}', '${register.address}', '${register.province}', '${register.district}', '${register.tambon}', '${register.season}', '${register.collectedSampleDate}', '${register.paramA}', '${register.paramB}', '${register.unit}', '${register.value}', '${register.standardValue}')|" class="button-holder-edit w-inline-block view-more-info" style="background-color: #d7c854;">
                                <div>More Info</div>
                            </a>
                            <a href="#moreInfo" th:attr="onclick=|moreInfo('edit', '${register.id}', '${register.locationName}', '${register.gpsCoordinate}', '${register.address}', '${register.province}', '${register.district}', '${register.tambon}', '${register.season}', '${register.collectedSampleDate}', '${register.paramA}', '${register.paramB}', '${register.unit}', '${register.value}', '${register.standardValue}')|" class="button-holder-publish w-inline-block view-more-info">
                                <div>Edit</div>
                            </a>
                            <a href="#" th:attr="data-id=|${register.id}|" data-w-id="7554dffe-5767-eb4e-b871-b6c5a428687e" class="button-holder-publish w-inline-block minus-button-5">
                                <div>Delete</div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div th:if="${page} > 1" class="wrap-pagination-section">
            <div aria-label="Page navigation ">
                <ul class="pagination justify-content-center" style="flex-wrap: wrap;">
                    <li class="page-item" th:each="i: ${#numbers.sequence(1, page)}">
                        <a th:onclick="'updatePage(' + ${i} + ')'" class="page-link" href="#" th:text="${i}" th:classappend="${pageNo} == ${i} ? 'active' : ''"></a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>

<div data-w-id="638f66fe-d009-8443-51bc-4b87471fcb70" style="display:none;opacity:0" class="popup-wrapper">
    <div class="popup-box">
        <div class="the-holder middle">
            <div class="icon-container no-width">
                <div class="exclamation-icon"><img src="../images/exclamation-icon-01.svg" alt=""></div>
            </div>
            <h1 class="popup-title">Alert</h1>
        </div>
        <div class="popup-message">Do you want to delete this job?</div>
        <div class="popup-button-holder">
            <a data-w-id="267b9b21-d1a5-b544-e396-52b053362bb6" href="#" class="button-holder-edit w-inline-block">
                <div>Canclel</div>
            </a>
            <a id="confirmDeleteBtn" data-w-id="267b9b21-d1a5-b544-e396-52b053362bb9" href="#" class="button-holder-delete w-inline-block" style="width: 120px;">
                <div>Delete</div>
            </a>
        </div>
    </div>
    <div data-w-id="8a074fb1-2d8d-587b-07c7-3ec6333cd6b6" class="popup-close-area"></div>
</div>

<div id="moreInfo">
    <!--THIS IS IMPORTANT! to close the modal, the class name has to match the name given on the ID  class="close-animatedModal" -->
    <div>
        <img src="/admin/images/close.png" class="close-moreInfo" style="max-width: 64px; display: block; margin: auto; margin-top: 15px; margin-bottom: 15px; cursor: pointer">
        <hr style="background-color: #963c11; margin-bottom: 0" />
    </div>
    <br>
    <br>
    <div class="modal-content">
        <input id="idMoreInfo" type="hidden" readonly>
        <div class="form-group row mt-5">
            <label for="locationNameMoreInfo" class="col-sm-3 col-form-label">Location Name</label>
            <div class="col-sm-9">
                <input id="locationNameMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="gpsCoordinateMoreInfo" class="col-sm-3 col-form-label">GPS. Coordinate</label>
            <div class="col-sm-9">
                <input id="gpsCoordinateMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="addressMoreInfo" class="col-sm-3 col-form-label">ที่อยู่</label>
            <div class="col-sm-9">
                <input id="addressMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="tambonMoreInfo" class="col-sm-3 col-form-label">ตำบล</label>
            <div class="col-sm-9">
                <input id="tambonMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="districtMoreInfo" class="col-sm-3 col-form-label">อำเภอ</label>
            <div class="col-sm-9">
                <input id="districtMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="provinceMoreInfo" class="col-sm-3 col-form-label">จังหวัด</label>
            <div class="col-sm-9">
                <input id="provinceMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="seasonMoreInfo" class="col-sm-3 col-form-label">ฤดู</label>
            <div class="col-sm-9">
                <input id="seasonMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="collectedSampleDataMoreInfo" class="col-sm-3 col-form-label">วันที่เก็บตัวอย่าง</label>
            <div class="col-sm-9">
                <input id="collectedSampleDataMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="paramAMoreInfo" class="col-sm-3 col-form-label">Parameter A</label>
            <div class="col-sm-9">
                <input id="paramAMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="paramBMoreInfo" class="col-sm-3 col-form-label">Parameter B</label>
            <div class="col-sm-9">
                <input id="paramBMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="unitMoreInfo" class="col-sm-3 col-form-label">Unit</label>
            <div class="col-sm-9">
                <input id="unitMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="valueMoreInfo" class="col-sm-3 col-form-label">Value</label>
            <div class="col-sm-9">
                <input id="valueMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
        <div class="form-group row">
            <label for="standardValueMoreInfo" class="col-sm-3 col-form-label">Standard</label>
            <div class="col-sm-9">
                <input id="standardValueMoreInfo" type="text" readonly class="form-control-plaintext input-modal">
            </div>
        </div>
    </div>

    <a href="" th:attr="onclick=|save()|" class="button-holder-edit mt-5 save-btn" style="background-color: #b53333; margin: auto">
        <div>Save</div>
    </a>
</div>

<script>
    function moreInfo(type, id, locationNameMoreInfo, gpsCoordinateMoreInfo, addressMoreInfo, tambonMoreInfo, districtMoreInfo, provinceMoreInfo,
                      seasonMoreInfo, collectedSampleDataMoreInfo, paramAMoreInfo, paramBMoreInfo, unitMoreInfo, valueMoreInfo, standardValueMoreInfo) {
        if(type == 'read') {
            $(".input-modal").attr('readonly')
            $(".input-modal").removeClass('form-control')
            $(".input-modal").addClass('form-control-plaintext')
            $(".save-btn").hide();
        } else if(type == 'edit' || type == 'add') {
            $(".input-modal").removeAttr('readonly')
            $(".input-modal").addClass('form-control')
            $(".input-modal").removeClass('form-control-plaintext')
            $(".save-btn").show();
        }

        if(type == 'read' || type == 'edit') {
            $("#idMoreInfo").val(id);
            $("#locationNameMoreInfo").val(locationNameMoreInfo);
            $("#gpsCoordinateMoreInfo").val(gpsCoordinateMoreInfo);
            $("#addressMoreInfo").val(addressMoreInfo);
            $("#tambonMoreInfo").val(tambonMoreInfo);
            $("#districtMoreInfo").val(districtMoreInfo);
            $("#provinceMoreInfo").val(provinceMoreInfo);
            $("#seasonMoreInfo").val(seasonMoreInfo);
            $("#collectedSampleDataMoreInfo").val(collectedSampleDataMoreInfo);
            $("#paramAMoreInfo").val(paramAMoreInfo);
            $("#paramBMoreInfo").val(paramBMoreInfo);
            $("#unitMoreInfo").val(unitMoreInfo);
            $("#valueMoreInfo").val(valueMoreInfo);
            $("#standardValueMoreInfo").val(standardValueMoreInfo);
        } else if(type == 'add') {
            $("#idMoreInfo").val("");
            $("#locationNameMoreInfo").val("");
            $("#gpsCoordinateMoreInfo").val("");
            $("#addressMoreInfo").val("");
            $("#tambonMoreInfo").val("");
            $("#districtMoreInfo").val("");
            $("#provinceMoreInfo").val("");
            $("#seasonMoreInfo").val("");
            $("#collectedSampleDataMoreInfo").val("");
            $("#paramAMoreInfo").val("");
            $("#paramBMoreInfo").val("");
            $("#unitMoreInfo").val("");
            $("#valueMoreInfo").val("");
            $("#standardValueMoreInfo").val("");
        }
    }

    function save() {
        var data = {
            id: $("#idMoreInfo").val(),
            locationName: $("#locationNameMoreInfo").val(),
            gpsCoordinate: $("#gpsCoordinateMoreInfo").val(),
            address: $("#addressMoreInfo").val(),
            province: $("#tambonMoreInfo").val(),
            district: $("#districtMoreInfo").val(),
            tambon: $("#provinceMoreInfo").val(),
            season: $("#seasonMoreInfo").val(),
            collectedSampleDate: $("#collectedSampleDataMoreInfo").val(),
            paramA: $("#paramAMoreInfo").val(),
            paramB: $("#paramBMoreInfo").val(),
            unit: $("#unitMoreInfo").val(),
            value: $("#valueMoreInfo").val(),
            standardValue: $("#standardValueMoreInfo").val()
        }

        $.ajax({
            type: "POST",
            url: "/admin/save",
            contentType: 'application/json',
            processData: false,
            data: JSON.stringify({"register": data}),
            success: function (response) {
                if(response.status) {
                    location.reload();
                }
            }
        });
    }

    function remove(id) {
        var data = {
            id: id
        }

        $.ajax({
            type: "POST",
            url: "/admin/delete",
            contentType: 'application/json',
            processData: false,
            data: JSON.stringify({"register": data}),
            success: function (response) {
                if(response.status) {
                    location.reload();
                }
            }
        });
    }

    function updatePage(i) {
        $("#pageNo").val(i);
        let urls = '/admin?p=' + i;

        window.location.href = urls;
    }

    $(function () {
        $(".view-more-info").animatedModal({
            'color': "#9fd1d9",
            'overflow': 'scroll',
            'animatedIn': 'zoomIn'
        });
    })

    $(document).on("click", ".minus-button-5", function() {
        const id = $(this).attr("data-id");
        console.log("ID")
        $("#confirmDeleteBtn").attr("onclick", "remove('" + id + "')");
    });
</script>

<div th:replace="admin/section/footer :: footer"></div>
</body>
</html>